Auto tagging rules
Create rule
Creates a custom auto-tagging rule for the organization.
Required scopes: user_tag:write
AuthorizationBearer <token>
Sign in with your account. A temporary API token is generated automatically for the selected organization.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://api.stemp.app/api/v1/auto-tagging-rules" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "triggerEvent": "USER_CREATED", "conditions": { "property1": {}, "property2": {} }, "actionType": "ASSIGN_TAG", "tagSlug": "string", "priority": 0 }'{
"id": "string",
"name": "string",
"description": "string",
"triggerEvent": "USER_CREATED",
"conditions": {
"property1": {},
"property2": {}
},
"actionType": "ASSIGN_TAG",
"tagSlug": "string",
"enabled": true,
"priority": 0,
"isDefault": true,
"defaultKey": "string",
"scheduleConfig": {
"field": "string",
"operator": "string",
"days": 0
},
"groupKey": "string",
"createdAt": "string",
"tagEndsWithItsDay": true
}